summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNeer Sighted <neersighted@myopera.com>2013-03-01 18:41:33 +0100
committerAllan McRae <allan@archlinux.org>2013-03-07 06:38:48 +0100
commit8b03b1a8776043978aeac31682f94d65b4f3e514 (patch)
tree4862adc9b7ac77ecd6a3602147179d973bf6dc32
parent6831a5f4b1bd05031fc4033d0d7f3328723dfd73 (diff)
downloadpacman-8b03b1a8776043978aeac31682f94d65b4f3e514.tar.gz
pacman-8b03b1a8776043978aeac31682f94d65b4f3e514.tar.xz
makepkg: Use a recursive git clone.
Make makepkg use a recursive clone when creating the working directory. This will initialize submodules Signed-off-by: Allan McRae <allan@archlinux.org>
-rw-r--r--scripts/makepkg.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 99ed44c2..c9661e93 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -490,7 +490,7 @@ download_git() {
pushd "$srcdir" &>/dev/null
rm -rf "${dir##*/}"
- if ! git clone "$dir"; then
+ if ! git clone --recursive "$dir"; then
error "$(gettext "Failure while creating working copy of %s %s repo")" "${repo}" "git"
plain "$(gettext "Aborting...")"
exit 1